> For the complete documentation index, see [llms.txt](https://docs.projetly.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.projetly.ai/home/api-reference/feedback-widget.md).

# Feedback Widget

## GET /api/widget-config

> Public endpoint: GET /api/widget-config?key=API\_KEY\
> Returns display config for the embeddable feedback widget.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/widget-config":{"get":{"operationId":"widget_config_retrieve","description":"Public endpoint: GET /api/widget-config?key=API_KEY\nReturns display config for the embeddable feedback widget.","tags":["Feedback Widget"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /api/widget-submit

> Public endpoint: POST /api/widget-submit\
> Authenticated by X-Api-Key header. Accepts multipart/form-data and creates a task.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/widget-submit":{"post":{"operationId":"widget_submit_create","description":"Public endpoint: POST /api/widget-submit\nAuthenticated by X-Api-Key header. Accepts multipart/form-data and creates a task.","tags":["Feedback Widget"],"responses":{"200":{"description":"No response body"}}}}}}
```
